docker-build:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker info
  script:
    - docker build -t makaiknight/docker-node:latest .
    - docker image push makaiknight/docker-node:latest
  only:
    - master
